scala.xml.dtd
class SystemID

[source: `scala/xml/dtd/SystemID.scala`]

`case` `class` SystemID(`val` systemId : java.lang.String)
  `extends` ExternalID `with` TokenTests `with` Product

  a system identifier

Author
  Burak Emir
Parameters
  `systemLiteral -` the system identifier literal

Method Summary
`override def` | equals (arg0 : Any) : Boolean
`override def` | hashCode : Int
`override final def` | productArity : Int return k for a product `A(x_1,...,x_k))`
`override final def` | productElement (arg0 : Int) : Any for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`
`override final def` | productPrefix : java.lang.String By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.
`override def` | toString : java.lang.String returns " SYSTEM "+systemLiteral
`override def` | toString (sb : StringBuilder) : StringBuilder returns "PUBLIC "+publicLiteral+" SYSTEM "+systemLiteral

Methods inherited from Product
element, arity

Methods inherited from TokenTests
isSpace, isSpace, isNameChar, isNameStart, isName, isPubIDChar, isValidIANAEncoding, checkSysID, checkPubID

Methods inherited from AnyRef
getClass, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Method Details

`override` `def` toString : java.lang.String

  returns " SYSTEM "+systemLiteral

Overrides
  ExternalID.toString

`override` `def` toString(sb : StringBuilder) : StringBuilder

  returns "PUBLIC "+publicLiteral+" SYSTEM "+systemLiteral

Overrides
  ExternalID.toString

`override` `def` hashCode : Int

`override` `def` equals(arg0 : Any) : Boolean

`override final` `def` productPrefix : java.lang.String

  By default the empty string. Implementations may override this method in order to prepend a string prefix to the result of the toString methods.

Overrides
  Product.productPrefix

`override final` `def` productArity : Int

  return k for a product `A(x_1,...,x_k))`

Overrides
  Product.productArity

`override final` `def` productElement(arg0 : Int) : Any

  for a case class `A(x_1,...,x_k))`, returns `x_(i+1)` for `0 <= i < k`

Parameters
  `n -` the position of the n-th element
Throws
  `IndexOutOfBoundsException -`
Returns
  ...

Overrides
  Product.productElement